%define upstream_name    Dist-Zilla-Plugin-CopyFilesFromRelease
%define upstream_version 0.007

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Copy files from a release (for SCM inclusion, etc.)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::AfterRelease)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Tiny) >= 0.70.0
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This plugin will automatically copy the files that you specify in dist.ini
from the build directory into the distribution directory. This is so you
can commit them to version control.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.7.0-2.mga9
+ Revision: 1812996
- Mageia 9 Mass Rebuild

* Sat Aug 01 2020 tv <tv> 0.7.0-1.mga8
+ Revision: 1610090
- update to 0.007

* Wed Feb 12 2020 umeabot <umeabot> 0.6.0-5.mga8
+ Revision: 1494299
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.6.0-4.mga7
+ Revision: 1267516
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-3.mga6
+ Revision: 1026189
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.6.0-2.mga6
+ Revision: 967897
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.6.0-1.mga6
+ Revision: 850642
- update to 0.006

* Thu Apr 16 2015 shlomif <shlomif> 0.5.0-1.mga6
+ Revision: 820308
- imported package perl-Dist-Zilla-Plugin-CopyFilesFromRelease


* Thu Apr 16 2015 cpan2dist 0.005-1mga
- initial mageia release, generated with cpan2dist
